# $Revision: 1.101 $, $Date: 2010/08/22 11:04:18 $
# TODO
# - webapps instead of /home/services/httpd
#
# Conditional build:
%bcond_with	chasen		# use ChaSen Japanese morphological analysis system (not tested, maybe on by default?)
%bcond_without	ssl		# without SSL support (using OpenSSL)
%bcond_with	mecab		# use mecab Japanese morphological system
# databases
%bcond_without	mysql		# support for MySQL
%bcond_without	pgsql		# support for PostgreSQL
%bcond_with	sqlite		# support for SQLite 2.x
%bcond_without	sqlite3		# support for SQLite 3.x
%bcond_with	ibase		# support for InterBase/Firebird
# databases through ODBC
%bcond_with	iodbc		# with ODBC support through iODBC
%bcond_with	unixodbc	# with ODBC support through unixODBC
# databases through FreeTDS
%bcond_without	freetds		# support for Sybase/MS SQL through FreeTDS

Summary:	Another one web indexing and searching system for a small domain or intranet
Summary(pl.UTF-8):	Kolejny system indeksowania i przeszukiwania WWW dla małych domen i intranetu
Name:		mnogosearch
Version:	3.3.9
Release:	1
License:	GPL v2+
Group:		Networking/Utilities
# Source0Download: http://www.mnogosearch.org/download.html
Source0:	http://www.mnogosearch.org/Download/%{name}-%{version}.tar.gz
# Source0-md5:	18d3e6c6cca3f816d05d04bd3943ed6a
Source1:	%{name}-dbgen
Patch0:		%{name}-acfixes.patch
Patch1:		%{name}-as_needed-fix.patch
Patch2:		%{name}-ac.patch
URL:		http://www.mnogosearch.org/
%{?with_ibase:BuildRequires:	Firebird-devel}
BuildRequires:	autoconf
BuildRequires:	automake
%{?with_chasen:BuildRequires:	chasen-devel}
%{?with_freetds:BuildRequires:	freetds-devel}
%{?with_iodbc:BuildRequires:	libiodbc-devel}
BuildRequires:	libtool
%{?with_mecab:BuildRequires:	mecab-devel}
%{?with_mysql:BuildRequires:	mysql-devel}
%{?with_ssl:BuildRequires:	openssl-devel >= 0.9.7d}
%{?with_pgsql:BuildRequires:	postgresql-devel}
%{?with_sqlite:BuildRequires:	sqlite-devel}
%{?with_sqlite3:BuildRequires:	sqlite3-devel}
%{?with_unixodbc:BuildRequires:	unixODBC-devel}
BuildRequires:	zlib-devel
Requires:	%{name}-lib = %{version}-%{release}
Requires:	webserver
Obsoletes:	aspseek
Obsoletes:	mnogosearch-stored
Obsoletes:	udmsearch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_sysconfdir	/etc/%{name}
%define		_localstatedir	/var/lib/mnogosearch
%define		_ourdatadir	%{_datadir}/%{name}
%define		htmldir		/home/services/httpd/html
%define		cgidir		/home/services/httpd/cgi-bin

%description
The mnogosearch system is a complete world wide web indexing and
searching system for a small domain or intranet. This system is not
meant to replace the need for powerful internet-wide search systems
like Lycos, Infoseek, Webcrawler and AltaVista. Instead it is meant to
cover the search needs for a single company, campus, or even a
particular sub section of a web site. Features:
- MP3 tag info
- news searching(?)
- http: (and ftp: - via proxy) URL schemaa
- charset guesser
- externel parsers
- support for ssl (https://)
- limiting queries to one hostname by sth like this: <INPUT
  TYPE=HIDDEN NAME=ul VALUE=http://www.something.com/>
- it's possilble to run indexers on several different (theoreticaly
  128) hosts, and gather information on one of them, reindexing proceses
  make no harm to avalibility of search engine. See cachemode.txt

As opposed to some WAIS-based or web-server based search engines,
mnogsearch can span several web servers at a site. The type of these
different web servers doesn't matter as long as they understand the
HTTP 1.0 protocol. Mnogosearch supports also virtual domains.

%description -l pl.UTF-8
Mnogosearch jest kompletnym systemem indeksującym i przeszukującym WWW
dla małych domen oraz intranetu. System nie został opracowany jako
wielki system typu Lycos, Infoseek WebCrawler i AltaVista. Natomiast
nadaje się do zastosowania w pojedynczej firmie, kampusie lub
jakiejkolwiek stronie WWW. Zalety:
- przeszukiwanie znaczników MP3,
- niusów (Server news://localhost/pl/),
- htdb czyli baz danych udostępnianych przez WWW/CGI. (HTDBList SELECT
  \ concat("http://search.mnogo.ru/board/message.php?id=",id) \ FROM
  udm.messages LIMIT 2))
- zawartości serwerów FTP (rada za 2gr: "Index no" dla serwera FTP
  spowoduje nie indeksowanie *zawartości* plików na nim się
  znajdujących)
- wyszukiwanie w zwykłych URL-ach http://
- wsparcie dla SSL (https://)
- wyszukiwanie w mirrorach (również lokalnych) odległych sieci
- zgadywanie zestawu znaków
- zewnętrzne przetwarzacze dokumentów na potrzeby indeksowania
- ograniczanie zapytań do jednej nazwy hosta: <INPUT TYPE=HIDDEN
  NAME=ul VALUE=http://www.something.com/>
- kategoryzacja witryny (doc/categories.txt)
- możliwe jest uruchomienie kilku procesów indeksujących na kilku
  (teoretycznie 128) hostach i trzymanie bazy na jednym z nich,
  reindeksacja nie powoduje wtedy niedostępności wyszukiwarki.
  Przeczytaj cachemode.txt

W odróżnieniu od innych systemów bazujących na WAIS-ie lub serwerach
WWW, mnogosearch może łączyć kilka serwerów WWW w jednym miejscu. Typ
serwera nie ma znaczenia, dopóki pracuje on zgodnie z protokołem HTTP
1.0. Pakiet współpracuje również z domenami wirtualnymi.

%package lib
Summary:	mnogosearch library
Summary(pl.UTF-8):	Biblioteka mnogosearch
Group:		Libraries

%description lib
This package contains mnogosearch library files.

%description lib -l pl.UTF-8
Ten pakiet zawiera pliki biblioteki mnogosearch.

%package devel
Summary:	Include files for mnogosearch
Summary(pl.UTF-8):	Pliki nagłówkowe mnogosearch
Group:		Development/Libraries
Requires:	%{name}-lib = %{version}-%{release}
%{?with_ibase:Requires:	Firebird-devel}
%{?with_chasen:Requires:	chasen-devel}
%{?with_freetds:Requires:	freetds-devel}
%{?with_iodbc:Requires:	libiodbc-devel}
%{?with_mecab:Requires:	mecab-devel}
%{?with_mysql:Requires:	mysql-devel}
%{?with_ssl:Requires:	openssl-devel}
%{?with_pgsql:Requires:	postgresql-devel}
%{?with_sqlite:Requires:	sqlite-devel}
%{?with_sqlite3:Requires:	sqlite3-devel}
%{?with_unixodbc:Requires:	unixODBC-devel}
Requires:	zlib-devel

%description devel
This package contains mnogosearch development files.

%description devel -l pl.UTF-8
Pliki dla programistów używających mnogosearch.

%package static
Summary:	mnogosearch static libraries
Summary(pl.UTF-8):	Biblioteki statyczne mnogosearch
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
This package contains static libraries of mnogosearch.

%description static -l pl.UTF-8
Ten pakiet zawiera statyczne biblioteki mnogosearch.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
find . -type d -name CVS | xargs rm -rf
%{__libtoolize}
%{__aclocal} -I build/m4
%{__autoconf}
%{__automake}
%configure \
	DOCBOOKSTYLE="/usr/share/sgml/docbook/dsssl-stylesheets" \
	--datadir=%{_ourdatadir} \
	--enable-syslog=LOG_LOCAL6 \
	%{?with_chasen:--with-chasen} \
	%{?with_freetds:--with-freetds} \
	%{?with_ibase:--with-ibase} \
	%{?with_iodbc:--with-iodbc} \
	%{?with_mecab:--with-mecab} \
	%{?with_mysql:--with-mysql} \
	%{?with_ssl:--with-openssl} \
	%{?with_pgsql:--with-pgsql} \
	%{?with_sqlite:--with-sqlite} \
	%{?with_sqlite3:--with-sqlite3} \
	%{?with_unixodbc:--with-unixODBC} \
	--with-zlib

# --enable-mysql-fulltext-plugin ?
# --with-readline (for SQL monitor) ?
# --wiht-extra-charsets=big5,gb2312,gbk,japanese,euc-kr,gujarati,tscii ?

%{__make} -j1

#  --with-solid[=DIR]	  Include Solid support.  DIR is the Solid base
#  --with-openlink[=DIR]   Include OpenLink ODBC support.
#  --with-easysoft[=DIR]   Include EasySoft ODBC support.
#  --with-sapdb[=DIR]	  Include SAPDB support.  DIR is the SAPDB base
#  --with-ctlib[=DIR]	  Include Ct-Lib support.
#  --with-oracle7[=DIR]	Include Oracle 7.3 support.  DIR is the Oracle
#  --with-oracle8[=DIR]	Include Oracle8 support.  DIR is the Oracle
#  --with-oracle8i[=DIR]   Include Oracle8i support.  DIR is the Oracle
#
# FIXME: add selection of storage method, spliting into %{name}-common & %{name}-$DB_NAME

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_localstatedir},%{htmldir},%{cgidir},%{_sysconfdir}} \
	$RPM_BUILD_ROOT{/etc/cron.daily,%{_infodir}}

%{__make} -j1 install \
	DESTDIR=$RPM_BUILD_ROOT \
	doc_FILES='$(HTML_ALL)'

ln -sf %{_docdir}/%{name}-%{version}/html \
	$RPM_BUILD_ROOT%{htmldir}/mnogodoc

mv -f $RPM_BUILD_ROOT%{_bindir}/*.cgi \
	$RPM_BUILD_ROOT%{cgidir}

install %{SOURCE1} $RPM_BUILD_ROOT/etc/cron.daily/mnogosearch-dbgen

mkdir html
cp -af doc/*.{html,css} html

cd $RPM_BUILD_ROOT%{_sysconfdir}
touch locals
for f in *-dist ; do
	mv -f $f `basename $f -dist`
done

rm -rf $RPM_BUILD_ROOT%{_prefix}/doc

%clean
rm -rf $RPM_BUILD_ROOT

%post
cat << EOF
Please see docs (%{_docdir}/%{name}-%{version}),
then read how to setup db connection, and put line like this
"pgsql://user:password@/dbname/" into %{_sysconfdir}, then setup database
using "indexer -Ecreate" command.
EOF

%post	lib -p /sbin/ldconfig
%postun	lib -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc ChangeLog README TODO html doc/samples
%attr(755,root,root) %{_sbindir}/*
%attr(755,root,root) %{_bindir}/*
%attr(755,root,root) %{cgidir}/*
%{_datadir}/%{name}
%{htmldir}/mnogodoc
%dir %{_localstatedir}
%attr(775,root,http) %{_localstatedir}/cache
%dir %{_sysconfdir}
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/indexer.conf
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/langmap.conf
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/stopwords.conf
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/*.freq
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/search.htm
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/node.xml
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/locals
%dir %{_sysconfdir}/langmap
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/langmap/*.lm
%dir %{_sysconfdir}/stopwords
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/stopwords/*.sl
%dir %{_sysconfdir}/synonym
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/synonym/*.syn
%config(noreplace) %attr(750,root,root) /etc/cron.daily/mnogosearch-dbgen
%{_mandir}/man1/indexer.1*
%{_mandir}/man5/indexer.conf.5*

%files lib
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libmnogocharset-3.3.so
%attr(755,root,root) %{_libdir}/libmnogosearch-3.3.so

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/udm-config
%attr(755,root,root) %{_libdir}/libmnogocharset.so
%attr(755,root,root) %{_libdir}/libmnogosearch.so
%{_libdir}/libmnogocharset.la
%{_libdir}/libmnogosearch.la
%{_includedir}/udmsearch.h
%{_includedir}/udm_*.h

%files static
%defattr(644,root,root,755)
%{_libdir}/libmnogocharset.a
%{_libdir}/libmnogosearch.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: mnogosearch.spec,v $
Revision 1.101  2010/08/22 11:04:18  glen
- up to 3.3.9

Revision 1.100  2010/05/22 21:13:39  sparky
- parrallel build fails, force -j1

Revision 1.99  2010/04/26 07:45:15  arekm
- release 2

Revision 1.98  2009/06/25 19:59:35  glen
- update to 3.3.8
- current ac/am/libtool doesn't like duplicate filenames in install

Revision 1.97  2008/09/18 19:59:14  qboosh
- updated to 3.3.7
- updated patches

Revision 1.96  2007/11/17 22:01:17  adamg
- release 4 (rebuild against mysql-5.1.22-1)

Revision 1.95  2007/02/13 06:46:54  glen
- tabs in preamble

Revision 1.94  2007/02/12 00:49:07  baggins
- converted to UTF-8

Revision 1.93  2006/12/22 18:26:02  arekm
- rel 3

Revision 1.92  2006/12/20 09:04:46  hawk
- release 2 to rebuild with new PostgreSQL 8.2

Revision 1.91  2006/11/28 21:41:19  deejay1
- 3.2.40

Revision 1.90  2006/10/01 17:38:45  arekm
- rel 2

Revision 1.89  2006/09/02 20:51:33  glen
- _defaultdocdir -> _docdir

Revision 1.88  2006/08/24 14:23:16  qboosh
- updated to 3.2.39, updated patches

Revision 1.87  2006/08/14 17:29:51  grzegol
- added as_needed-fix patch (fixes build with --as-needed)

Revision 1.86  2006/08/09 20:16:35  arekm
- rel 4

Revision 1.85  2006/08/08 14:38:10  sparky
- mass attack: s/%patch /%patch0 / -- usefull for overloaded %patch macro

Revision 1.84  2006/03/27 12:41:23  glen
- rel 3 (libmysqlclient_15)

Revision 1.83  2005/12/25 20:11:32  glen
- R: freetds-devel for -devel using freetds bcond
- cleanups

Revision 1.82  2005/10/27 15:54:46  glen
- rel 2

Revision 1.81  2005/10/21 14:39:09  deejay1
- updated to 3.2.34

Revision 1.80  2005/05/06 11:47:27  qboosh
- pl unification

Revision 1.79  2005/05/03 09:04:48  pluto
- release 5 for Th.

Revision 1.78  2005/04/27 14:48:19  hawk
- release 4

Revision 1.77  2005/04/27 11:28:24  hawk
- release 3 to rebuild with new freetds

Revision 1.76  2005/04/07 12:42:20  hawk
- renamed bcond: mssql -> freetds, now its enabled by default

Revision 1.75  2005/04/04 19:04:54  darekr
- missing dir

Revision 1.74  2005/04/04 19:00:31  adamg
- updated to 3.2.32

Revision 1.73  2005/03/21 11:10:34  hawk
- added bcond to build with MS SQL support (via FreeTDS), disabled by default

Revision 1.72  2005/02/20 08:30:36  adamg
- updated to 3.2.31

Revision 1.71  2005/02/12 22:46:25  arekm
- rel ++

Revision 1.70  2005/02/06 00:09:14  adamg
- updated to 3.2.30

Revision 1.69  2004/12/28 01:37:46  adamg
- release 1

Revision 1.68  2004/12/24 22:50:10  adamg
- updated to 3.2.29 (php 4.3.x build with it now)

Revision 1.67  2004/12/17 09:50:48  adamg
- updated to 3.2.28

Revision 1.66  2004/12/10 20:05:08  adamg
- updated to 3.2.27 (needs test though)

Revision 1.65  2004/11/05 10:00:56  paladine
- updated to 3.2.24
- cleanups

Revision 1.64  2004/10/28 10:49:16  paladine
- "MP3" unification

Revision 1.63  2004/10/24 12:10:34  paladine
- ftp->FTP

Revision 1.62  2004/09/02 10:25:19  snurf
- typos / formatting / etc.

Revision 1.61  2004/07/25 21:36:33  ankry
- cosmetics

Revision 1.60  2004/07/25 21:11:48  qboosh
- updated to 3.2.19

Revision 1.59  2004/07/02 23:13:34  arekm
- rel 2; drop gethostnames script (this was so broken that it wiped out my config); fix post; drop unneded comments

Revision 1.58  2004/06/28 15:22:53  qboosh
- cleanup, strict internal deps

Revision 1.57  2004/06/28 15:14:37  qboosh
- empty body for postun lib

Revision 1.56  2004/06/28 01:40:13  arekm
- include all *.sql in datadir so indexer -Ecreate command works

Revision 1.55  2004/06/28 01:32:32  arekm
- mysql also enabled by default

Revision 1.54  2004/06/28 01:20:47  arekm
- updated to 3.2.18

Revision 1.53  2004/04/18 13:13:16  qboosh
- noted download URL

Revision 1.52  2004/03/19 23:46:30  ankry
- massive change: BR openssl-devel >= 0.9.7d

Revision 1.51  2003/10/04 17:20:29  qboosh
- new bconds, added some more (note that databases are not exclusive)
- this version doesn't build w/o SQL - enabled pgsql by default
- added acfixes patch to get rid of some bogus -I/-L

Revision 1.50  2003/09/30 20:18:26  eothane
- ahh, what the hell: openssl 0.9.7c

Revision 1.49  2003/09/26 21:23:50  aredridel
- up to 3.2.14

Revision 1.48  2003/08/18 08:08:20  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.47  2003/08/12 22:32:50  ankry
- cosmetics

Revision 1.46  2003/07/29 14:17:59  qboosh
- added missing Requires(): chkconfig or PreReq: rc-scripts

Revision 1.45  2003/06/27 08:58:40  qboosh
- typo in previous commit log

Revision 1.44  2003/06/26 22:49:09  qboosh
- previous commit log means "updated to 3.2.11"
- cleanup - removed obsolete DESTDIR patch and unnecessary Mysql-pld patch
- fixed build (note: two libraries now, libmnogo* instead of libudmsearch)

Revision 1.43  2003/06/21 23:10:57  adamg
- php-pear-PHPUnit.spec

Revision 1.42  2003/06/06 12:33:22  qboosh
- updated feedback address

Revision 1.41  2003/05/25 11:00:55  malekith
- massive attack, adding Source-md5

Revision 1.40  2003/05/25 05:50:44  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.39  2003/02/22 21:37:44  djurban
  Fixes by Łukasz Jernaś <deejay1@nsj.srem.pl>
- updated to newer version
- fixed stored's init script
- fixed daily indexing
- fixed mnogosearch-gethostnames (removed cron crap)

Revision 1.38  2003/02/13 14:03:35  juandon
- force to use openssl >= 0.9.7, idea by kloczek

Revision 1.37  2002/12/27 14:08:19  orzech
- GPL v2+

Revision 1.36  2002/12/07 19:25:41  orzech
- /home -> /home/services

Revision 1.35  2002/12/02 11:06:22  ankry
- massive cleaning

Revision 1.34  2002/11/26 10:57:10  ankry
- 2nd .la file attributes massive attack

Revision 1.33  2002/10/09 13:14:40  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.32  2002/09/17 22:57:44  ankry
- obsoletes aspseek
- release 3

Revision 1.31  2002/07/25 07:46:58  qboosh
- removed stored from base; release 2

Revision 1.30  2002/07/23 11:59:57  qboosh
- -lib pl description

Revision 1.29  2002/07/23 08:06:19  wiget
- updated to 3.2.6
- added -lib subpackage

Revision 1.28  2002/06/23 20:32:32  kloczek
- perl -pi -e "s/^libtoolize --copy --force/\%\{__libtoolize\}/"

Revision 1.27  2002/06/06 21:50:30  qboosh
- fixed build

Revision 1.26  2002/06/04 21:55:51  qboosh
- removed Group translations from -devel

Revision 1.25  2002/06/04 14:35:10  hunter
- up to 3.2.5, -stored subpackage

Revision 1.24  2002/05/21 23:14:09  kloczek
- perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
     s/^autoconf/\%\{__autoconf\}/"

Revision 1.23  2002/05/21 14:34:04  qboosh
- Obsoletes: udmsearch; new %doc; release 2

Revision 1.22  2002/05/04 19:28:34  kloczek
- "rm -f missing" on top %build,
- added -f to automake parameters.

Revision 1.21  2002/05/03 12:49:47  qboosh
- configuration moved to /etc/mnogosearch - it must be accessible by http
  user, but /etc/httpd is not
- removed search.htm template from htmldir

Revision 1.20  2002/05/02 23:37:17  qboosh
- build with shared library
- MANY cleanups, removed some security holes from package

Revision 1.19  2002/04/28 15:33:28  hunter
- upgrade to 3.2.3
- added conditional build _pgsql _mysql

Revision 1.14  2001/09/26 12:42:51  qboosh
- BuildRequires: autoconf, automake, libtool
- Prereq: postgresql-clients
- adapterized, fixed many typos
- release 2

Revision 1.13  2001/09/23 16:30:51  hunter
- added pl-descripction in pgsql subpackage
- moved creation of tables to pgsql subpackage

Revision 1.12  2001/09/08 22:15:01  hunter
- added pgsql database structure creaction

Revision 1.11  2001/09/08 16:42:26  hunter
- added pgsql tables creation

Revision 1.10  2001/08/01 17:18:23  hunter
- adding hostnames is done now by script from /etc/cron.daily

Revision 1.9  2001/08/01 15:11:27  hunter
- updated to 3.1.17

Revision 1.8  2001/07/17 08:03:07  hunter
- added config file w/ hostnames to be indexed (not local host names)
- moved create/{db_names}/* into %doc
  STBR

Revision 1.7  2001/07/15 20:52:58  hunter
- corections in $install, linked /etc/cron.daily to indexer

Revision 1.6  2001/06/28 18:01:44  hunter
- s/htdig/mnogosearch/, added extracting hostnames from apache_mod_vhost

Revision 1.5  2001/06/28 13:43:10  hunter
- litte descripction cleaning, Stil NYF

Revision 1.4  2001/06/28 13:35:23  kloczek
- added DESTDIR patch,
- added postgresql-devel to BuildRequires,
- redefine %{_localstatedir} for %configure.

Revision 1.3  2001/06/28 08:57:28  kloczek
- more fixes.

Revision 1.2  2001/06/28 08:56:23  kloczek
- adapterized and partialy rewrited (still NYF).

Revision 1.1  2001/06/27 23:51:52  hunter
- brand new, it's a searcher for 'lite' (not small) sites, includes things
  like mp3tag info, ftpsearch etc... could use many DBs as a strorage
  NYF
